package com.ruixuan.live.mapper;

import com.ruixuan.live.entity.KuaishouLiveProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手直播项目Mapper接口
 */
public interface KuaishouLiveProjectMapper {
    /**
     * 查询快手直播项目
     *
     * @param id 快手直播项目主键
     * @return 快手直播项目
     */
    public KuaishouLiveProject selectKuaishouLiveProjectById(Long id);

    /**
     * 查询快手直播项目列表
     *
     * @param kuaishouLiveProject 快手直播项目
     * @return 快手直播项目集合
     */
    public List<KuaishouLiveProject> selectKuaishouLiveProjectList(KuaishouLiveProject kuaishouLiveProject);

    /**
     * 新增快手直播项目
     *
     * @param kuaishouLiveProject 快手直播项目
     * @return 结果
     */
    public int insertKuaishouLiveProject(KuaishouLiveProject kuaishouLiveProject);

    /**
     * 修改快手直播项目
     *
     * @param kuaishouLiveProject 快手直播项目
     * @return 结果
     */
    public int updateKuaishouLiveProject(KuaishouLiveProject kuaishouLiveProject);

    /**
     * 删除快手直播项目
     *
     * @param id 快手直播项目主键
     * @return 结果
     */
    public int deleteKuaishouLiveProjectById(Long id);

    /**
     * 批量删除快手直播项目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveProjectByIds(Long[] ids);

    KuaishouLiveProject getOne(@Param("id") Long id, @Param("projectName") String projectName);
}